
create table EDepartment (
	DeptId		varchar(20) primary key,
	Name		varchar(64),
	DeptImage	varchar(128));

create table ECategory (
	CatId		varchar(20) primary key,
	DeptId		varchar(20),
	Category	varchar(32));

create table EProduct (
	ProdId		varchar(20) primary key,
        Category	varchar(20),
        Name            text,
	Brand		varchar(32),
	Model		varchar(32),
	Descrip		TEXT,
	Price		float4,
	InStock		integer,
	StockLimit	integer,
	ProdImage	varchar(80),
	LargeImage	varchar(80),
	DeptId		varchar(20),
        Publish         varchar(1));

create table ECustomer (
	CustId		varchar(20) primary key,
	LastName	varchar(30),
	FirstName	varchar(30),
        Password        varchar(20),
	Address		varchar(120),	
	City		varchar(32),
	ZipCode		varchar(20),
	State		varchar(32),
	Country		varchar(32),	
	Fax		varchar(32),	
	Tel		varchar(32),
	Email		varchar(64));

create table ECustOrder (
	OrdId		varchar(20) primary key,
	CustId		varchar(20),
        AffId           varchar(20),
	OrderTime	float8,
        TotalPrice      float4,
        Tax             float4,
        ShippingCost    float4,
        Discount        float4,
        DiscountCode    varchar(64),
        ShipName        varchar(64),
        ShipAddress     varchar(120),   
        ShipCity        varchar(32),
        ShipZipCode     varchar(20),
        ShipState       varchar(32),
        ShipCountry     varchar(32),    
        ShipOptions     text,
        Message         text,
        Status          varchar(10),
        PayStatus       varchar(10),
	PayInfo         varchar(32),
        CcNum           varchar(20),
        CcExpDate       varchar(12),
        CcName          varchar(32));

create table EProdOrder (
	OrdId		varchar(20),
        ItemId varchar(128) not null,
        Rank integer,
        Superior varchar(20) not null,
	ProdId		varchar(20),
	Name		text,
	Price		float4,
	Qty		integer,
	Options		varchar(80),
	Config          varchar(128),
	primary key (OrdId, ItemId));

create table ECartSaver (
        CartId varchar(32),
        Item text,
        Ityp varchar(1),
        ExpDate float8);

create table EAffiliate (
        AffId varchar(32),
        Name varchar(64),
        Password varchar(16),
        Email varchar(64),
        Miles float4);

